var c = require('chalk')
var compose = require('lodash.compose')

function addPrefix(startChar, color) {
	startChar = startChar || '>'
	color = color || c.white
	return function(input) {
		return color.bold(startChar) + ' ' + input
	}
}

module.exports = {
	info: compose(console.log, c.cyan, addPrefix()),
	warning: compose(console.log, c.yellow, addPrefix()),
	error: compose(console.log, c.red, addPrefix('x', c.fuchsia)),
	success: compose(console.log, c.green, addPrefix('✓', c.lime)),
}